Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.util.net
Class HTTPUtils

    java.lang.Object
      |
      +--org.apache.soap.util.net.HTTPUtils

public class HTTPUtils
extends java.lang.Object

A bunch of utility stuff for doing HTTP things.

2000/07/30 W. Cloetens added Multipart Mime support

Author:
  Sanjiva Weerawarana (sanjiva@watson.ibm.com), Matthew J. Duftler (duftler@us.ibm.com), Wouter Cloetens (wcloeten@raleigh.ibm.com), Scott Nichol (snichol@computer.org), Arek Wnukowski (apache@wnuko.demon.co.uk)

Field Summary
`static int` | `DEFAULT_OUTPUT_BUFFER_SIZE`

Constructor Summary
`HTTPUtils()`

Method Summary
`static org.apache.soap.transport.TransportMessage` | `post(java.net.URL url, org.apache.soap.transport.TransportMessage request, int timeout, java.lang.String httpProxyHost, int httpProxyPort)` POST something to the given URL.
`static org.apache.soap.transport.TransportMessage` | `post(java.net.URL url, org.apache.soap.transport.TransportMessage request, int timeout, java.lang.String httpProxyHost, int httpProxyPort, int outputBufferSize)` POST something to the given URL.
`static org.apache.soap.transport.TransportMessage` | `post(java.net.URL url, org.apache.soap.transport.TransportMessage request, int timeout, java.lang.String httpProxyHost, int httpProxyPort, int outputBufferSize, java.lang.Boolean tcpNoDelay)` POST something to the given URL.
`static org.apache.soap.transport.TransportMessage` | `post(java.net.URL url, org.apache.soap.transport.TransportMessage request, int timeout, java.lang.String httpProxyHost, int httpProxyPort, int outputBufferSize, java.lang.Boolean tcpNoDelay, java.lang.StringBuffer requestCopy, java.lang.StringBuffer responseCopy)` POST something to the given URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_OUTPUT_BUFFER_SIZE

    public static final int DEFAULT_OUTPUT_BUFFER_SIZE

  See Also:
    Constant Field Values

Constructor Detail

### HTTPUtils

    public HTTPUtils()

Method Detail

### post

    public static org.apache.soap.transport.TransportMessage post(java.net.URL url,
                                                                  org.apache.soap.transport.TransportMessage request,
                                                                  int timeout,
                                                                  java.lang.String httpProxyHost,
                                                                  int httpProxyPort)
                                                           throws java.lang.IllegalArgumentException,
                                                                  java.io.IOException,
    SOAPException

  POST something to the given URL. The headers are put in as HTTP headers, the content length is calculated and the content byte array is sent as the POST content.
  Parameters:
    `url` - the url to post to
    `request` - the message
    `timeout` - the amount of time, in ms, to block on reading data
    `httpProxyHost` - the HTTP proxy host or null if no proxy
    `httpProxyPort` - the HTTP proxy port, if the proxy host is not null
  Returns:
    the response message
    `java.lang.IllegalArgumentException`
    `java.io.IOException`
    `SOAPException`

### post

    public static org.apache.soap.transport.TransportMessage post(java.net.URL url,
                                                                  org.apache.soap.transport.TransportMessage request,
                                                                  int timeout,
                                                                  java.lang.String httpProxyHost,
                                                                  int httpProxyPort,
                                                                  int outputBufferSize)
                                                           throws java.lang.IllegalArgumentException,
                                                                  java.io.IOException,
    SOAPException

  POST something to the given URL. The headers are put in as HTTP headers, the content length is calculated and the content byte array is sent as the POST content.
  Parameters:
    `url` - the url to post to
    `request` - the message
    `timeout` - the amount of time, in ms, to block on reading data
    `httpProxyHost` - the HTTP proxy host or null if no proxy
    `httpProxyPort` - the HTTP proxy port, if the proxy host is not null
    `outputBufferSize` - the size of the output buffer on the HTTP stream
  Returns:
    the response message
    `java.lang.IllegalArgumentException`
    `java.io.IOException`
    `SOAPException`

### post

    public static org.apache.soap.transport.TransportMessage post(java.net.URL url,
                                                                  org.apache.soap.transport.TransportMessage request,
                                                                  int timeout,
                                                                  java.lang.String httpProxyHost,
                                                                  int httpProxyPort,
                                                                  int outputBufferSize,
                                                                  java.lang.Boolean tcpNoDelay)
                                                           throws java.lang.IllegalArgumentException,
                                                                  java.io.IOException,
    SOAPException

  POST something to the given URL. The headers are put in as HTTP headers, the content length is calculated and the content byte array is sent as the POST content.
  Parameters:
    `url` - the url to post to
    `request` - the message
    `timeout` - the amount of time, in ms, to block on reading data
    `httpProxyHost` - the HTTP proxy host or null if no proxy
    `httpProxyPort` - the HTTP proxy port, if the proxy host is not null
    `outputBufferSize` - the size of the output buffer on the HTTP stream
    `tcpNoDelay` - the tcpNoDelay setting for the socket
  Returns:
    the response message
    `java.lang.IllegalArgumentException`
    `java.io.IOException`
    `SOAPException`

### post

    public static org.apache.soap.transport.TransportMessage post(java.net.URL url,
                                                                  org.apache.soap.transport.TransportMessage request,
                                                                  int timeout,
                                                                  java.lang.String httpProxyHost,
                                                                  int httpProxyPort,
                                                                  int outputBufferSize,
                                                                  java.lang.Boolean tcpNoDelay,
                                                                  java.lang.StringBuffer requestCopy,
                                                                  java.lang.StringBuffer responseCopy)
                                                           throws java.lang.IllegalArgumentException,
                                                                  java.io.IOException,
    SOAPException

  POST something to the given URL. The headers are put in as HTTP headers, the content length is calculated and the content byte array is sent as the POST content. This method allows the caller to provide buffers in which to capture request and response data. This is useful when debugging SSL, as wire dumps are not very useful in that case. However, it is important to note that the bytes send or received are optimistically handled with the default encoding, much as TcpTunnelGui treats everything as iso-8859-1.
  Parameters:
    `url` - the url to post to
    `request` - the message
    `timeout` - the amount of time, in ms, to block on reading data
    `httpProxyHost` - the HTTP proxy host or null if no proxy
    `httpProxyPort` - the HTTP proxy port, if the proxy host is not null
    `outputBufferSize` - the size of the output buffer on the HTTP stream
    `tcpNoDelay` - the tcpNoDelay setting for the socket
    `requestCopy` - the buffer for capturing copy of the request or null if capture is not required.
    `responseCopy` - the buffer for capturing copy of the response or null if capture is not required.
  Returns:
    the response message
    `java.lang.IllegalArgumentException`
    `java.io.IOException`
    `SOAPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache XML Project. All Rights Reserved.